org.apache.hc.core5.http.protocol

## Enum UriPatternType

- java.lang.Object
- - java.lang.Enum<UriPatternType>
  - - org.apache.hc.core5.http.protocol.UriPatternType

- All Implemented Interfaces:
    Serializable, Comparable<UriPatternType>

      public enum UriPatternType
      extends Enum<UriPatternType>

  Since:
    5.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `REGEX`
    `URI_PATTERN`
    `URI_PATTERN_IN_ORDER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> LookupRegistry<T>` | `newMatcher(UriPatternType type)` Deprecated. Do not use.
    `static UriPatternType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UriPatternType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REGEX

          public static final UriPatternType REGEX

    - #### URI_PATTERN

          public static final UriPatternType URI_PATTERN

    - #### URI_PATTERN_IN_ORDER

          public static final UriPatternType URI_PATTERN_IN_ORDER

  - ### Method Detail

    - #### values

          public static UriPatternType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UriPatternType c : UriPatternType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UriPatternType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### newMatcher

          @Deprecated
          public static <T> LookupRegistry<T> newMatcher(UriPatternType type)

      Deprecated. Do not use.

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.